Remarques générales sur l'installation

Installation d'AutoTURN 10.0

AutoTURN 10.0 installe tous les fichiers de programme nécessaires à son exécution dans AutoCAD/BricsCAD et MicroStation. AutoTURN 10.0 inscrit les emplacements de dossier dans le registre.

Mise à niveau d'AutoTURN

Si AutoTURN version 8.0 ou ultérieure est installé sur votre ordinateur, passez à la section Installation sur un ordinateur autonome ou Installation en réseau.

Si votre version d'AutoTURN est antérieure à la version 8.0, vous devez désinstaller le logiciel (voir Désinstallation d'AutoTURN) avant d'installer AutoTURN 10.0. Avant de désinstaller votre version d'AutoTURN, exportez les types et véhicules personnalisés pour pouvoir les réimporter dans AutoTURN 10.0 après son installation (voir ci-dessous pour plus d'informations sur le transfert des fichiers créés par l'utilisateur).

Transfert des fichiers créés par l'utilisateur

Il est possible d'exporter les véhicules personnalisés à l'aide de la fonction Exporter un véhicule de la boîte de dialogue Véhicules -> Sélectionner le véhicule courant. Les fichiers exportés incluent le véhicule, le dessin réaliste du véhicule, le dessin de profil, les champs de vision et les charges du véhicule personnalisé sélectionné (voir Outils -> Véhicules -> Pour exporter un véhicule).

Transfert des fichiers de véhicules partagés personnalisés et des fichiers de la bibliothèque de véhicules supplémentaire

Pour transférer les fichiers de véhicules partagés personnalisés et les fichiers de la bibliothèque supplémentaire en plus de la base de données serveur, copiez le dossier Shared Data d'un serveur à l'autre (pour plus d'informations sur l'emplacement par défaut des données utilisateur et des bibliothèques de véhicules supplémentaires, voir le tableau Emplacement par défaut des données utilisateur ci-dessous).

Emplacement par défaut des données utilisateur

Le tableau suivant indique l'emplacement par défaut des données utilisateur selon le type de configuration choisi et le système d'exploitation de l'ordinateur (pour plus d'informations sur la configuration en réseau d'AutoTURN, voir Installation en réseau).

Configuration | Système d'exploitation | Emplacement par défaut des données utilisateur
Ordinateur autonome/ Poste de travail en réseau | MS Windows Vista MS Windows 7 MS Windows 8 MS Windows 10 | C:\Users\Public\Transoft Solutions\AutoTURN 10
Serveur | MS Windows 2003 | C:\Program Files\Transoft Solutions\AutoTURN 10
 | MS Windows Server 2008 MS Windows Server 2008 R2 MS Windows Server 2012 | C:\Users\Public\Transoft Solutions\AutoTURN 10


Installation sur un ordinateur autonome

IMPORTANT ! Vous devez disposer de droits administrateur pour installer et configurer AutoTURN.

Autorisations requises pour procéder à une installation en mode autonome :

Dossier | Autorisation
Fichiers de programme | Contrôle total
Données utilisateur | Contrôle total

Autorisations requises après l'installation en mode autonome :

Dossier | Autorisation
Fichiers de programme | Lecture et exécution
Données utilisateur | Contrôle total

Pour plus d'informations sur l'emplacement des données utilisateur, voir Remarques générales sur l'installation : Emplacement par défaut des données utilisateur.

Pour installer AutoTURN à partir d'un support USB :

  1. Connectez le support d'installation USB d'AutoTURN à l'ordinateur.

  2. Si le programme d'installation ne démarre pas automatiquement :

    1. Dans la barre des tâches de Windows, cliquez sur Démarrer, puis sur Exécuter.

    2. Saisissez « lecteur:\setup », où lecteur est la lettre du lecteur auquel votre support USB est connecté.

    3. Cliquez sur OK.

  3. Cliquez sur Installer une licence autonome.

  4. À l'invite, saisissez le numéro de licence et la clé du CD fournis avec le logiciel, puis cliquez sur OK.

  5. À l'invite, spécifiez l'emplacement d'installation des fichiers de programme.

  6. Le programme d'installation crée les dossiers nécessaires, les raccourcis du menu Démarrer, ainsi que les entrées de registre.

  7. Démarrez AutoTURN (voir Démarrage d'AutoTURN).

Remarque : si vous avez téléchargé l'archive d'installation d'AutoTURN, décompressez-la dans un dossier vide, double-cliquez sur le fichier Setup.exe et suivez les instructions ci-dessus à partir de l'étape 3.


Installation en réseau

IMPORTANT ! Vous devez disposer de droits administrateur pour installer et configurer AutoTURN.

L'installation d'AutoTURN dans un réseau comporte deux étapes : configuration des serveurs et configuration des postes de travail.

Dossiers et autorisations

Lors de l'étape d'installation sur le serveur, AutoTURN place les fichiers à deux endroits principaux : les fichiers de programme (Program Files) sont installés sur le serveur de programmes et les fichiers du serveur de licences (License Server) sur le serveur de licences. Pour une plus grande flexibilité, les fichiers Program Files n'ont pas à être installés sur le même disque dur ou le même ordinateur que les fichiers License Server.

À l'étape de configuration du poste de travail, un dossier Workstation est créé sur le poste de travail local pour les fichiers de destination et les paramètres.

Les noms et les emplacements de tous ces dossiers sont stockés dans le registre. Les entrées du registre sont automatiquement créées lors de l'installation d'AutoTURN, mais elles peuvent être modifiées après l'installation si on le souhaite à l'aide de l'utilitaire de configuration d'AutoTURN (voir Utilitaire de configuration d'AutoTURN).

Autorisations requises lors de l'installation sur le serveur :

Dossier | Autorisation
Fichiers de programme | Contrôle total
Serveur de licences | Contrôle total
Données partagées | Contrôle total

Autorisations nécessaires après l'installation sur le serveur :

Dossier | Autorisation
Fichiers de programme | Lecture et exécution
Serveur de licences | Lecture et exécution
Données partagées | Contrôle total

Autorisations nécessaires lors de l'installation sur le poste de travail :

Dossier | Autorisation
Fichiers de programme | Contrôle total
Données utilisateur | Contrôle total

Autorisations requises après l'installation sur le poste de travail :

Dossier | Autorisation
Fichiers de programme | Lecture et exécution
Données utilisateur | Contrôle total

Pour plus d'informations sur l'emplacement des données utilisateur, voir Remarques générales sur l'installation : Emplacement par défaut des données utilisateur.

Configuration réseau

Pendant le processus d'installation, AutoTURN est configuré de sorte à exécuter les fichiers de programme à partir du poste de travail. En outre, chaque poste de travail est configuré de manière à pouvoir accéder au serveur de licences pour vérifier la licence.

Configuration des serveurs

La configuration des serveurs implique de sélectionner des ordinateurs de votre réseau qui joueront le rôle de serveur de programmes AutoTURN et de serveur de licences Transoft Solutions. Qu'il s'agisse d'un seul et même ordinateur ou de plusieurs ordinateurs, l'installation doit être effectuée sur le serveur de programmes AutoTURN.

IMPORTANT ! Si vous devez installer le serveur de licences sur un ordinateur distant exécutant Windows Vista, Windows 7, Windows 8 ou Windows 10, assurez-vous que le service Registre à distance de Windows est démarré sur le serveur de licences avant de commencer à configurer le poste de travail.

Pour configurer les serveurs :

  1. Sur l'ordinateur qui fera office de serveur de programmes, insérez le support USB d'installation d'AutoTURN dans le lecteur prévu à cet effet.

  2. Si le programme d'installation ne démarre pas automatiquement :

    1. Dans la barre des tâches de Windows, cliquez sur Démarrer, puis sur Exécuter.

    2. Saisissez « lecteur:\setup », où lecteur est la lettre du lecteur auquel votre support USB est connecté.

    3. Cliquez sur OK.

  3. Cliquez sur Installer une licence réseau, puis sur Commencer, et suivez les instructions à l'écran.

  4. Passez à l’étape Configuration des postes de travail.

Autre possibilité : vous pouvez installer le serveur de programmes depuis un autre ordinateur connecté sur le même réseau. Pour ce faire, copiez, via le réseau, le contenu du support d'installation (clé USB, CD, etc.) d'AutoTURN sur le futur serveur de programmes, puis installez-le avec la fonction Bureau à distance de Microsoft à partir de l'ordinateur sur lequel vous êtes. Notez que pour activer la fonction Bureau à distance sur l'ordinateur distant (celui sur lequel vous voulez installer le serveur de programmes), vous devez disposer du niveau d'autorisation Administrateur. L'ordinateur client (celui à partir duquel vous souhaitez vous connecter à l'ordinateur distant) doit autoriser l'accès à distance (pour ce faire, vous pouvez utiliser le logiciel client Microsoft Connexion Bureau à distance, par exemple).

Remarque :

  • si vous avez téléchargé l'archive d'installation d'AutoTURN, décompressez-la dans un dossier vide, double-cliquez sur le fichier Setup.exe et suivez les instructions ci-dessus à partir de l'étape 3.

  • pour activer le service « Transoft Data Sharing Service », le programme d'installation va installer Microsoft .NET Framework 4.5 sur le serveur.

Installation d'un serveur de licences double

Si vous possédez à la fois des licences AutoTURN 10.0 et AutoTURN Pro 10.0, l'administrateur peut installer les fichiers du serveur de licences sur le même serveur de licences pour permettre aux utilisateurs des postes de travail de choisir l'un ou l'autre des produits à chaque démarrage d'AutoTURN.

Configuration des postes de travail

IMPORTANT ! Si le serveur de licences exécute Windows Vista, Windows 7, Windows 8, ou Windows 10, assurez-vous que le service Registre à distance de Windows est démarré sur le serveur de licences avant de commencer à configurer le poste de travail.

Pour configurer les postes de travail :

  1. Sur chaque poste de travail qui exécutera AutoTURN, ouvrez le dossier de partage « AutoTURN 10 » du serveur de programmes spécifié plus haut, à la section Configuration des serveurs. Accédez au sous-dossier Workstation, puis exécutez SetupWorkstation pour lancer le programme d'installation pour poste de travail.

  2. Lorsque vous êtes invité à spécifier l'emplacement du dossier Workstation, sélectionnez un dossier local du poste de travail.

  3. Le programme créera les dossiers locaux et les entrées de registre nécessaires sur le poste de travail et configurera la communication avec le serveur de licences.

  4. Démarrez AutoTURN (voir Démarrage d'AutoTURN).

Programme d'installation pour poste de travail MSI

Le programme d'installation pour poste de travail MSI créé lors de l'installation du serveur est conçu pour les administrateurs qui gèrent des réseaux très étendus et qui disposent d'un logiciel de gestion de réseau pour installer automatiquement des fichiers MSI sur un réseau. À l'aide d'un logiciel de gestion de réseau tel qu'Active Directory, les administrateurs peuvent utiliser ce fichier pour forcer des installations à partir d'un serveur central sur des postes de travail distants. Les autres administrateurs doivent utiliser le programme d'installation standard à partir du serveur de programmes (voir Configuration des postes de travail ci-dessus). Le chemin d'accès par défaut du programme d'installation pour poste de travail MSI est C:\Program Files\Transoft Solutions\AutoTURN 10\Workstation.

Remarque :

  • Le programme d'installation pour poste de travail MSI encapsule le programme d'installation classique d'AutoTURN. Le fichier MSI ainsi créé permettra uniquement de réaliser des installations. Il ne pourra en aucun cas assurer d'autres fonctions MSI telles que des désinstallations, des réparations ou des restaurations.

  • Le programme d'installation Microsoft SQL Server CE étant un fichier MSI qui ne peut pas fonctionner s'il encapsule un autre fichier MSI, vous devez déployer Microsoft SQL Server CE avant de déployer AutoTURN avec un fichier MSI. Les fichiers d'installation Microsoft SQL Server CE SSCERuntime-x64-ENU.msi et SSCERuntime-x86-ENU.msi se trouvent sur le support USB d'installation d'AutoTURN, dans le dossier \Data\EXE\French\. Les fichiers d'installation se trouvent également sur le serveur de programmes, dans le sous-dossier Workstation du dossier Program Files.

  • Sur les ordinateurs 64 bits, vous devez installer à la fois les versions 32 bits et 64 bits des fichiers MSI de Microsoft SQL Server CE (des dysfonctionnements peuvent apparaître si seule la version 32 bits ou 64 bits du fichier MSI est installée sur les ordinateurs 64 bits).

  • Pendant l'installation du serveur, le raccourci d'installation silencieuse SetupWorkstationSilent est créé. Les administrateurs peuvent l'utiliser pour configurer des postes de travail sans avoir à répondre aux invites du programme d'installation pour chaque poste de travail.

  • L'installation MSI basée sur Microsoft Server 2000 n'est pas prise en charge.

Suivi du nombre d'utilisateurs en réseau

Le suivi de l'utilisation du logiciel AutoTURN en réseau se fait au moyen d'un journal du nombre d'utilisateurs. Lorsque le nombre maximal d'utilisateurs sous licence est atteint, les nouveaux utilisateurs se voient refuser l'accès au logiciel.

Les administrateurs peuvent consulter ce journal en générant un rapport à partir de l'Outil d'administration du serveur de licences (voir Outil d'administration du serveur de licences -> Pour générer un rapport d'utilisation).


Démarrage

Démarrage d'AutoTURN

Démarrage d'AutoTURN sous AutoCAD/BricsCAD

Sous AutoCAD/BricsCAD, vous pouvez démarrer AutoTURN sur un ordinateur autonome ou un poste de travail de plusieurs manières :

  • Double-cliquez sur l'icône de bureau AutoTURN pour AutoCAD/BricsCAD.

  • Sous Démarrer, Tous les programmes, AutoTURN, cliquez sur le raccourci AutoTURN pour AutoCAD/BricsCAD.

  • À partir d'AutoCAD/BricsCAD :

    1. 1. Démarrez AutoCAD/BricsCAD et ouvrez un fichier de dessin.

    2. Cliquez sur un bouton de la barre d'outils ou du ruban d'AutoTURN.

OU

    1. Démarrez AutoCAD/BricsCAD et ouvrez un fichier de dessin.

    2. Cliquez sur Outils/Gérer, puis sur Charger une application.

    3. Sélectionnez le dossier du programme AutoTURN.

    4. Sélectionnez et chargez un fichier .arx correspondant à votre version d'AutoCAD/BricsCAD.

Si vous ne possédez pas encore votre clé d'autorisation, reportez-vous à la section AutoTURN.

Une fois le programme chargé, toutes les commandes sont accessibles depuis la barre d'outils ou le ruban (voir Outils -> Présentation du menu d'AutoTURN).

Remarque : pour plus d'informations sur la compatibilité des fichiers .arx avec les différentes versions d'AutoCAD/BricsCAD, voir le tableau « Compatibilité des fichiers d'application AutoTURN » ci-dessous.

Démarrage de AutoTURN sous MicroStation

Sous MicroStation, voici comment démarrer AutoTURN sur un ordinateur autonome ou sur un poste de travail :

  • Double-cliquez sur l'icône de bureau AutoTURN pour MicroStation.

  • Sous Démarrer > Tous les programmes > AutoTURN, cliquez sur le raccourci AutoTURN pour MicroStation.

  • À partir de MicroStation :

    1. Démarrez MicroStation et ouvrez un fichier de dessin.

    2. Dans une fenêtre de saisie au clavier, saisissez mdl load "C:\Program Files\Transoft Solutions\AutoTURN 10\application.ma" (remplacez « application.ma » par le nom du fichier .ma correspondant à votre version de MicroStation ; si vous avez installé AutoTURN 10 à un autre endroit, indiquez son chemin d'accès).

OU

    1. Démarrez MicroStation et ouvrez un fichier de dessin.

    2. Dans le menu principal de MicroStation, sélectionnez Utilitaires, Applications MDL.

    3. Cliquez sur Parcourir.

    4. Sélectionnez un fichier .ma correspondant à votre version de MicroStation, puis cliquez sur OK.

Si vous ne possédez pas encore votre clé d'autorisation, reportez-vous à la section Autorisation de AutoTURN.

Une fois le programme chargé, toutes les commandes sont accessibles depuis la barre d'outils (voir Outils -> Présentation du menu d'AutoTURN).

Si la barre d'outils n'est pas affichée, vous pouvez l'activer en saisissant « ATTOOLS » dans la fenêtre de saisie.

Remarque : pour plus d'informations sur la compatibilité des fichiers .ma avec les différentes versions de MicroStation, voir le tableau « Compatibilité des fichiers d'application AutoTURN » ci-dessous.

Compatibilité des fichiers d'application AutoTURN

Plate-forme de CAO | Fichier d'application
AutoCAD / AutoCAD Civil 3D 2010 AutoCAD / AutoCAD Civil 3D 2011 AutoCAD / AutoCAD Civil 3D 2012 | AT2010.arx
AutoCAD / AutoCAD Civil 3D 2013 AutoCAD 2014 | AT2013.arx
AutoCAD 2015 AutoCAD 2016 | AT2015.arx
AutoCAD 2017 | AT2017.arx
AutoCAD 2010 64 bits AutoCAD / AutoCAD Civil 3D 2011 64 bits AutoCAD / AutoCAD Civil 3D 2012 64 bits | AT2010x64.arx
AutoCAD / AutoCAD Civil 3D 2013 64 bits AutoCAD / AutoCAD Civil 3D 2014 64 bits | AT2013x64.arx
AutoCAD / AutoCAD Civil 3D 2015 64 bits AutoCAD / AutoCAD Civil 3D 2016 64 bits | AT2015x64.arx
AutoCAD / AutoCAD Civil 3D 2017 64 bits | AT2017x64.arx
BricsCAD V16 | ATBCAD16.arx
BricsCAD V17 | ATBCAD17.arx
BricsCAD V16 64 bits | ATBCAD16x64.arx
BricsCAD V17 64 bits | ATBCAD17x64.arx
MicroStation V8i Power GEOPAK V8i PowerDraft V8i PowerCivil V8i Power InRoads V8i | at8i.ma
MicroStation CONNECT Edition | atcn.ma

Remarque : l'utilisation d'AutoTURN peut nécessiter l'installation de la dernière mise à jour et/ou du dernier Service Pack de votre plate-forme de CAO.


Autorisation

Autorisation d'AutoTURN

Au premier démarrage du programme - et lors des suivants tant que vous n'aurez pas spécifié de clé d'autorisation pour AutoTURN - la boîte de dialogue Autorisation du programme apparaît et vous invite à saisir votre clé d'autorisation :

Boite de dialogue Autorisation du programme

Pour autoriser AutoTURN :

  1. Si votre ordinateur est connecté à Internet, cliquez sur Demande d'autorisation (méthode recommandée).

Remarque : si votre système est protégé par un pare-feu, paramétrez ce dernier de sorte qu'il autorise l'application de CAO (AutoCAD/acad.exe ou MicroStation/ustation.exe, par exemple) à accéder à Internet.

  2. La boîte de dialogue Informations utilisateur apparaît. Spécifiez les informations requises.

Remarque : dans le champ E-mail enregistré, saisissez l'adresse électronique de la personne au nom de laquelle AutoTURN a été acheté.

  3. Cliquez sur OK ; AutoTURN est automatiquement autorisé.

OU

  3. Si, pour une raison quelconque, l'autorisation en ligne est impossible, vous êtes redirigé vers une page Web dans laquelle vous devez fournir divers renseignements pour obtenir votre clé d'autorisation.

  4. Cliquez sur Envoyer. Un e-mail contenant la clé d'autorisation sera envoyé à l'adresse électronique que vous avez fournie.

Pour obtenir votre clé d'autorisation, vous pouvez également contacter Transoft Solutions en vous munissant des informations fournies dans cette boîte de dialogue.

  5. Après avoir obtenu votre clé d'autorisation, saisissez-la dans le champ Clé d'autorisation, puis cliquez sur OK.

Pour contourner le processus d'autorisation :

Pour utiliser AutoTURN pendant une période d'essai prédéterminée, cliquez sur Ignorer. À l'issue de cette période, vous devrez spécifier une clé d'autorisation valable pour continuer à utiliser le logiciel.


Utilitaire de configuration

Utilitaire de configuration d'AutoTURN

AutoTURN utilise le registre pour faire le suivi de l'emplacement des dossiers et fichiers nécessaires. Si vous avez besoin de modifier ces emplacements après l'installation, utilisez l'utilitaire de configuration d'AutoTURN : atconfig.exe, pour indiquer les nouveaux emplacements au logiciel AutoTURN. Cet utilitaire ne doit être utilisé qu'en cas de déplacement manuel des dossiers d'AutoTURN après l'installation, de modification du serveur de licences (modification de l'adresse IP ou du port de communication, par exemple) ou de perte de communication entre le poste de travail et le serveur de licences en raison d'une modification du réseau. Cet utilitaire ne doit pas être utilisé au cours du processus d'installation car les entrées de registre nécessaires sont créées automatiquement lors de l'installation du programme.

Cet utilitaire est disponible pour les postes de travail configurés en réseau et les ordinateurs autonomes exécutant AutoTURN.

L'utilitaire ne doit pas être exécuté sur des ordinateurs qui ne sont pas configurés pour exécuter AutoTURN (c'est-à-dire un serveur de licences ou un serveur de programmes).

Pour plus d'informations concernant le transfert du programme vers un autre ordinateur autonome, voir Transférer le programme.

Pour plus d'informations sur le transfert du programme ou la gestion de la licence dans une configuration en réseau, voir Outil d'administration du serveur de licences -> Pour transférer une licence.

Paramètres de configuration

Installation autonome par défaut

La boîte de dialogue suivante illustre une installation autonome par défaut. Notez que les valeurs Fichiers de programme et Poste de travail font référence au même ordinateur.

Boîte de dialogue Utilitaire de configuration d'AutoTURN - Installation autonome par défaut

Configuration en réseau par défaut

La boîte de dialogue suivante illustre une configuration en réseau par défaut. À l'étape de configuration du poste de travail de la procédure d'installation, le poste de travail a été configuré de sorte qu'il pointe vers le serveur de licences et les fichiers de programme ont été installés sur le poste de travail. Dans cette configuration, les valeurs Program Files et Workstation font référence au même poste de travail.

Boîte de dialogue Utilitaire de configuration d'AutoTURN - Configuration en réseau par défaut

Description de la boîte de dialogue Utilitaire de configuration d'AutoTURN

Section Serveur de licences

Hôte : il peut s'agir d'une adresse IP ou d'un nom d'ordinateur.

Port : il s'agit du port de communication via lequel le poste de travail communique avec le serveur de licences.

Section Base de données

Dans le cas de configurations en réseau, la boîte de dialogue Utilitaire de configuration d'AutoTURN contient également le section Base de données. Le champ Instance du serveur de programmes permet à AutoTURN de situer l'instance de la base de données sur le serveur de programmes. Cette section permet d'indiquer les nom, identifiant utilisateur et mot de passe de l'instance SQL à laquelle la base de données AutoTURN est rattachée.

Remarque : le nom de l'instance SQL spécifiée dans le champ Instance du serveur de programmes doit contenir à la fois le nom de l'ordinateur et celui de l'instance SQL (c'est à dire NOMORDINATEUR\NOMINSTANCE).

Section Dossiers nécessaires

Program Files : il s'agit des fichiers nécessaires à l'exécution du programme AutoTURN. Il s'agit généralement de fichiers .arx, .ma, .exe et .dll. Les fichiers de programme se situent normalement sur le poste de travail.

Poste de travail : emplacement auquel les paramètres sont stockés et accessibles par AutoTURN lors de l'exécution du programme. C'est également l'emplacement par défaut des fichiers créés par l'utilisateur. Ce champ doit toujours pointer vers le poste de travail et non un emplacement partagé.

Dans le cas de configurations en réseau, la boîte de dialogue Utilitaire de configuration d'AutoTURN contient également :

Partage réseau : il s'agit de l'emplacement, sur le serveur de programmes, où sont stockés les dessins de type et de véhicule partagés et les didacticiels créés par l'utilisateur.

Section Dossiers facultatifs

Modifiez ces valeurs si vous souhaitez spécifier des emplacements différents pour les fichiers créés par l'utilisateur. Choisissez <par défaut> si vous souhaitez que le programme utilise les dossiers par défaut spécifiés dans le champ Poste de travail de la section Dossiers nécessaires.

Section Bibliothèques de cellules MicroStation

L'emplacement Motifs est utilisé par MicroStation pour situer les fichiers de motifs de hachurage à utiliser dans AutoTURN. Cette valeur est ignorée pour les utilisateurs d'AutoCAD car AutoTURN utilise le chemin de recherche des fichiers d'AutoCAD pour situer les motifs de hachurage.

Cliquez sur ce bouton pour générer un rapport sur vos paramètres de configuration actuels. Ce rapport peut permettre, par exemple, à l'équipe d'assistance technique de diagnostiquer un problème de configuration.

Cliquez sur le bouton Réinitialiser pour réinitialiser AutoTURN avec les paramètres par défaut. Les fichiers du dossier des paramètres seront supprimés et les entrées du registre de l'utilisateur actuel seront effacées.


Transférer le programme

Remarque : pour les administrateurs chargés de la configuration du réseau, voir Outil d'administration du serveur de licences -> Pour transférer une licence.

Transfère la licence autonome d'une installation d'AutoTURN 10.0 vers une autre installation autonome d'AutoTURN 10.0. À la fin de cette procédure, le logiciel AutoTURN ne pourra plus fonctionner sur l'ordinateur à partir duquel le programme et la licence ont été transférés.

Pour transférer AutoTURN d'un ordinateur autonome vers un autre :

  1. Sur le nouvel ordinateur autonome, suivez les instructions d'installation d'AutoTURN (voir Installation sur un ordinateur autonome).

  2. Démarrez AutoTURN (voir Démarrage d'AutoTURN).

  3. Notez le code d'installation indiqué dans la boîte de dialogue Autorisation du programme, tel que dans l'exemple ci-dessous :

Autorisation du programme

  4. Revenez sur l'ordinateur depuis lequel vous souhaitez transférer le programme.

  5. Démarrez AutoTURN (voir Démarrage d'AutoTURN).

  6. Cliquez sur [image] Paramètres du programme dans la barre d'outils ou le ruban d'AutoTURN.

  7. Sélectionnez la catégorie Autorisations.

  8. Dans le champ Mot de passe, saisissez le mot de passe administrateur (par défaut : admin), puis cliquez sur Envoyer.

  9. Sélectionnez la catégorie Licence. La boîte de dialogue suivante apparaît :

Paramètres du programme - Catégorie Licence (version autonome)

Remarque : les valeurs des champs Date version, Numéro de licence, Code d'installation et Contrat de maintenance (Expiration de la MAP) peuvent être différentes sur votre ordinateur.

  10. Cliquez sur Transférer le programme. La boîte de dialogue suivante apparaît :

Transférer le programme

  11. Veillez à exécuter les étapes 1 à 4 de la boîte de dialogue, puis cliquez sur Continuer. La boîte de dialogue suivante apparaît :

Transférer le programme - Saisir le nouveau code d'installation

  12. Saisissez le code d'installation du nouvel ordinateur - que vous avez noté à l'étape 3 - et cliquez sur OK. La boîte de dialogue suivante apparaît :

Boite de dialogue Transférer le programme - Confirmation

  13. Pour confirmer le transfert d'AutoTURN sur le nouvel ordinateur et désactiver son fonctionnement sur l'ordinateur d'origine, cliquez sur OK. La boîte de dialogue suivante apparaît :

Transférer le programme - Nouvelle clé d'autorisation

  14. Notez la nouvelle clé d’autorisation affichée. Ce code est également consigné dans un fichier.

  15. Sur le nouvel ordinateur, saisissez la nouvelle clé d'autorisation dans la boîte de dialogue Autorisation du programme (voir l'illustration de l'étape 3).

  16. Vous pouvez maintenant désinstaller le logiciel sur l'ordinateur d'origine (voir Désinstallation d'AutoTURN).

Pour transférer les données utilisateur et les bibliothèques de véhicules supplémentaires :

Copiez le dossier Database, les dossiers User (Vehicles User, Tutorials User, etc.) et le dossier AddInLibrary d'une installation vers l'autre (pour plus d'informations sur l'emplacement par défaut des données utilisateur et des bibliothèques de véhicules supplémentaires, voir le tableau Emplacement par défaut des données utilisateur).


Renouveler le contrat de maintenance MAP

Remarque : pour les administrateurs chargés de la configuration du réseau, voir Outil d'administration du serveur de licences -> Pour renouveler un contrat de maintenance MAP.

Si vous utilisez le logiciel en mode autonome et si, lors de l'installation d'AutoTURN, vous n'avez pas opté pour la mise à jour automatique de la licence et du contrat de maintenance MAP, vous pouvez renouveler ce dernier manuellement.

Pour renouveler un contrat de maintenance MAP :

  1. Démarrez AutoTURN (voir Démarrage d'AutoTURN).

  2. Cliquez sur [image] Paramètres du programme dans la barre d'outils ou le ruban d'AutoTURN.

  3. Sélectionnez la catégorie Autorisations.

  4. Dans le champ Mot de passe, saisissez le mot de passe de l'administrateur (par défaut, il s'agit d'admin), puis cliquez sur Envoyer.

  5. Sélectionnez la catégorie Licence. La boîte de dialogue suivante apparaît :

Paramètres du programme - Catégorie Licence(s) (version autonome)

  6. Si votre système est doté d'un pare-feu, vous devez le configurer pour permettre à l'application de CAO (AutoCAD/acad.exe ou MicroStation/ustation.exe, par exemple) d'accéder à Internet. Sinon, passez à l'étape 7.

  7. Cliquez sur Renouvellement du contrat de maint.

    • Si vous avez coché la case Vérifier et appliquer automatiquement les mises à jour de licence et si votre contrat de maintenance MAP est en règle, AutoTURN renouvelle votre contrat MAP.

    • Si vous n'avez pas coché la case Vérifier et appliquer automatiquement les mises à jour de licence et/ou si votre contrat de maintenance MAP n'est pas en règle, suivez les instructions de la page Web vers laquelle vous êtes redirigé.

Vérifier et appliquer automatiquement les mises à jour de licence

Cochez cette case si vous souhaitez qu'AutoTURN vérifie et applique automatiquement les mises à jour de la licence et du contrat de maintenance MAP.

Remarque : si votre système est protégé par un pare-feu, vous devez le configurer de sorte qu'il autorise l'application de CAO (AutoCAD/acad.exe ou MicroStation/ustation.exe, par exemple) à accéder à Internet. Si vous devez configurer une exception de pare-feu, indiquez le port 27010 comme port de sortie.


Mettre la licence à niveau

Remarque : pour les administrateurs chargés de la configuration du réseau, voir Outil d'administration du serveur de licences -> Pour mettre une licence à niveau.

Les utilisateurs du logiciel en mode autonome peuvent mettre leur licence d'AutoTURN à niveau pour souscrire ou mettre à jour un contrat de maintenance (MAP).

Pour mettre votre licence à niveau :

  1. Contactez Transoft Solutions pour commander une mise à niveau.

  2. Notez la nouvelle clé d'autorisation.

  3. Démarrez AutoTURN (voir Démarrage d'AutoTURN).

  4. Cliquez sur [image] Paramètres du programme dans la barre d'outils ou le ruban d'AutoTURN.

  5. Sélectionnez la catégorie Autorisations.

  6. Dans le champ Mot de passe, saisissez le mot de passe de l'administrateur (par défaut, il s'agit d'admin), puis cliquez sur Envoyer.

  7. Sélectionnez la catégorie Licence. La boîte de dialogue suivante apparaît :

Paramètres du programme - Catégorie Licence(s)

Remarque : les valeurs des champs Date version, Numéro de licence, Code d'installation et Contrat de maintenance (Expiration de la MAP) peuvent être différentes sur votre ordinateur.

  8. Cliquez sur Mettre la licence à niveau. La boîte de dialogue suivante apparaît :

Mettre la licence à niveau

  9. Saisissez la nouvelle clé d'autorisation et cliquez sur OK. Une boîte de dialogue de confirmation apparaît.

  10. Cliquez sur OK pour confirmer que vous souhaitez poursuivre la mise à niveau.

  11. Cliquez sur OK pour fermer la boîte de dialogue Paramètres du programme.

  12. Cliquez sur Paramètres du programme pour vérifier la nouvelle date d'expiration du contrat de maintenance (Expiration de la MAP).

Vérifier et appliquer automatiquement les mises à jour de licence

Cochez cette case si vous souhaitez qu'AutoTURN vérifie et applique automatiquement les mises à jour de la licence et du contrat de maintenance MAP.

Remarque : si votre système est protégé par un pare-feu, vous devez le configurer de sorte qu'il autorise l'application de CAO (AutoCAD/acad.exe ou MicroStation/ustation.exe, par exemple) à accéder à Internet. Si vous devez configurer une exception de pare-feu, indiquez le port 27010 comme port de sortie.


Désinstallation

Désinstallation d'AutoTURN

Pour désinstaller AutoTURN :

  1. Fermez AutoCAD ou MicroStation.

  2. Utilisez Programmes / Programmes et fonctionnalités pour sélectionner AutoTURN dans la liste des programmes installés, puis cliquez sur Désinstaller.

  3. Suivez les instructions à l'écran.

Remarque : au terme de la désinstallation, il se peut que certains fichiers soient encore présents sur l'ordinateur. L'utilitaire de désinstallation ne supprime pas les fichiers créés par l'utilisateur, c'est-à-dire les véhicules et simulations créés par l'utilisateur. Le composant d'instance de SQL Server 2008 TRANSOFT, conçu pour permettre aux produits de Transoft Solutions d'accéder à la base de données, n'est pas désinstallé ; par conséquent, si un autre produit Transoft Solutions est installé à l'avenir, le moteur de base de données requis sera disponible. Toutefois, vous pouvez désinstaller le composant d'instance de SQL Server 2008 TRANSOFT manuellement.

Pour désinstaller le composant d'instance de SQL Server 2008 TRANSOFT :

  1. Fermez AutoCAD ou MicroStation.

  2. Selon votre système d'exploitation et le contenu du menu Démarrer, choisissez l'une des actions suivantes pour continuer :

Au moyen de la fonction Ajout/Suppression de programmes (Windows XP) ou Programmes / Programmes et fonctionnalités (Windows Vista, Windows 7, ou Windows 8), sélectionnez Microsoft SQL Server 2008 dans la liste des programmes installés, puis cliquez sur Supprimer (Windows XP) ou sur Désinstaller (Windows Vista, Windows 7, Windows 8, ou Windows 10).

  3. Suivez les instructions à l'écran et, à l'invite, sélectionnez les composants de TRANSOFTSERVER à supprimer.

Pour désinstaller AutoTURN de manière silencieuse sur un poste de travail

Dans le cas d'une installation en réseau, pour désinstaller AutoTURN 10 de manière silencieuse sur un poste de travail, insérez la ligne suivante dans le script de désinstallation et exécutez ce dernier sur le poste de travail : "C:\Program Files\Transoft Solutions\AutoTURN 10\Uninstall\uninstall.exe" "/U:C:\Program Files\Transoft Solutions\AutoTURN 10\Uninstall\AutoTURN Uninstall.xml" /S (si vous avez installé AutoTURN à un autre emplacement, modifiez le chemin d'accès en conséquence).


Installation


Utilitaire de migration

Utilitaire de migration AutoTURN 10.0

L'utilitaire de migration AutoTURN 10.0 (MigrationUtility.exe) permet de faire migrer le contenu personnalisé de la base de données AutoTURN 9.1 vers AutoTURN 10.0.

L'utilitaire de migration AutoTURN 10.0 propose deux types de migration :

  • Poste de travail

  • Serveur

Type de migration " Poste de travail "

Le type de migration Poste de travail permet de faire migrer le contenu personnalisé de la base de données AutoTURN 9.1 vers la base de données AutoTURN 10.0 locale du poste de travail.

Remarque : les dessins personnalisés associés ne seront pas copiés. Pour plus d'informations sur la copie des dessins personnalisés, voir Transfert manuel des données utilisateur d'AutoTURN 9.1 vers AutoTURN 10.0.

Pour faire migrer une base de données SQL CE :

  1. Ouvrez le dossier contenant le fichier MigrationUtility.exe.

  2. Double-cliquez sur le fichier MigrationUtility.exe. La boîte de dialogue Utilitaire de migration AutoTURN 10.0 apparaît.

  3. Sous Type de migration, cliquez sur Poste de travail. La boîte de dialogue affiche les options liées à la base de données du poste de travail, comme suit :

Utilitaire de migration AutoTURN - Poste de travail

  4. Sous AutoTURN 9.1, dans le champ Chemin d’accès de la base de données, spécifiez le chemin d'accès de la base de données AutoTURN 9.1 (TsAutoTURN81.sdf).

  5. Sous AutoTURN 10.0, dans le champ Chemin d’accès de la base de données, spécifiez le chemin d'accès de la base de données AutoTURN 10.0 (TsAutoTURN82.sdf).

  6. Cliquez sur Migrer.

Type de migration " Serveur "

Le type de migration Serveur permet de faire migrer en une seule fois tous les contenus personnalisés de la base de données AutoTURN version 9.1 vers la base de données AutoTURN 10.0 du serveur de programmes. L'administrateur devra s'assurer que le dossier Shared Data du serveur de programmes est partagé entre tous les utilisateurs d'AutoTURN.

Remarque : les dessins personnalisés associés ne seront pas copiés. Pour plus d'informations sur la copie des dessins personnalisés, voir Transfert manuel des données utilisateur d'AutoTURN 9.1 vers AutoTURN 9.0.

Pour faire migrer une base de données SQL Server :

  1. Ouvrez le dossier contenant le fichier MigrationUtility.exe.

  2. Double-cliquez sur le fichier MigrationUtility.exe. La boîte de dialogue AutoTURN 10.0 apparaît.

  3. Sous Type de migration, cliquez sur Serveur. La boîte de dialogue affiche les options SQL Server, comme dans l'exemple suivant :

Utilitaire de migration AutoTURN - Serveur

  4. Sous AutoTURN 9.1, dans le champ Instance SQL Server, spécifiez l'instance SQL Server d'AutoTURN 9.1.

  5. Sous AutoTURN 9.1, saisissez respectivement le nom d'utilisateur et le mot de passe de l'instance SQL Server d'AutoTURN 9.1 dans les champs Utilisateur SQL et Mot de passe SQL.

  6. Sous AutoTURN 10.0, spécifiez l'instance SQL Server d'AutoTURN 10.0 dans le champ Instance SQL Server.

  7. Sous AutoTURN 10.0, saisissez respectivement le nom d'utilisateur et le mot de passe de l'instance SQL Server d'AutoTURN 10.0 dans les champs Utilisateur SQL et Mot de passe SQL.

  8. Cliquez sur Migrer.

Transfert manuel des données utilisateur d'AutoTURN 9.1 vers AutoTURN 10.0

Pour transférer manuellement les dessins personnalisés de d'AutoTURN 9.1 vers AutoTURN 10.0, copiez le contenu des dossiers de données utilisateur de l'ancienne installation vers la nouvelle.


Configuration du pare-feu Windows pour Microsoft SQL Server

Pour configurer le pare-feu Windows pour Microsoft SQL Server :

  1. Dans la boîte de dialogue Pare-feu Windows (Windows XP) ou Paramètres du Pare-feu Windows (Windows Vista ou Windows 7), cliquez sur l'onglet Exceptions.

Remarque : pour plus d'informations sur l'ouverture de la boîte de dialogue Pare-feu Windows/Paramètres du Pare-feu Windows, consultez l'Aide de Windows.

  2. Cliquez sur Ajouter un port. La boîte de dialogue Ajouter un port s'affiche.

  3. Dans le champ Nom, tapez « SQL » et dans le champ Numéro de port, tapez « 1433 », puis sélectionnez TCP.

  4. Cliquez sur OK pour retourner dans la boîte de dialogue Pare-feu Windows/Paramètres du Pare-feu Windows.

  5. Cliquez sur Ajouter un programme. La boîte de dialogue Ajouter un programme s'affiche.

  6. Cliquez sur Parcourir. La boîte de dialogue Parcourir s'affiche.

  7. Dans le champ Chemin d'accès, spécifiez le chemin d'accès suivant : « C:\Program Files\Microsoft SQL Server\90\Shared\sqlbrowser.exe », puis cliquez sur Ouvrir pour retourner dans la boîte de dialogue Ajouter un programme.

  8. Dans la liste Programmes, sélectionnez le fichier sqlbrowser.exe, puis cliquez sur OK pour retourner dans la boîte de dialogue Pare-feu Windows/Paramètres du Pare-feu Windows. Le fichier sqlbrowser.exe apparaît sélectionné dans la liste Programmes et services.

  9. Répétez les étapes 5 à 8 pour :

    1. Spécifier le chemin d'accès suivant : « C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Binn\sqlservr.exe »

    2. Ajouter le fichier sqlservr.exe à la liste Programmes et services

  10. Une fois que le port et les deux programmes ont été ajoutés, cliquez sur OK pour appliquer les modifications et fermer la boîte de dialogue Pare-feu Windows/Paramètres du pare-feu Windows.


Glossaire d'installation

Serveur de licences

Ordinateur du réseau qui exécute le serveur de licence Transoft. Les postes de travail accèdent à cet ordinateur lorsqu'ils exécutent le programme.

Fichiers de programme

Fichiers requis pour qu'un ordinateur autonome ou un poste de travail exécute le programme.

Serveur de programmes

Ordinateur du réseau comprenant le serveur de licences, les fichiers d'installation des postes de travail, les données partagées et la base de données, le cas échéant.

Ordinateur autonome

Ordinateur sur lequel le programme est installé et pouvant donc exécuter ce dernier indépendamment des autres ordinateurs.

Poste de travail

Ordinateur du réseau qui doit accéder à la licence et, le cas échéant, aux ressources partagées du serveur de programmes pour exécuter le logiciel.


Suite de logiciels requis

La suite de logiciels requis est un ensemble de logiciels qui doivent être installés avant qu'un produit Transoft utilisant Microsoft SQL Server 2005 Express ne puisse être installé et exécuté. La procédure d'installation de la suite de logiciels suppose que Microsoft Windows 2000 SP4 ou ultérieur est installé sur le système.

Le contenu de la suite logicielle à installer dépend du système d'exploitation du poste de travail :

Logiciel | Fichier | Système d'exploitation
 |  | Windows 2000 Server | Windows Vista 64 bits, Windows Server 2008 64 bits | Windows Vista 32 bits, Windows Server 2008 32 bits | Windows Server 2003 64 bits, Windows XP 64 bits | Windows Server 2003 32 bits | Windows XP 32 bits
Windows Installer 3.1 (v2) | WindowsInstaller-KB893803-v2-x86.exe | + |  |  |  |  |
Windows Installer 4.5 | Windows6.0-KB942288-v2-x64.msu |  | + |  |  |  |
 | Windows6.0-KB942288-v2-x86.msu |  |  | + |  |  |
 | WindowsServer2003-KB942288-v4-x64.exe |  |  |  | + |  |
 | WindowsServer2003-KB942288-v4-x86.exe |  |  |  |  | + |
 | WindowsXP-KB942288-v3-x86.exe |  |  |  |  |  | +
Microsoft .NET Framework 2.0 SP1 | NetFx20SP1_x86.exe | + |  |  |  |  |
 | Windows2000-KB835732-x86-ENU.EXE | + |  |  |  |  |
Microsoft .NET Framework 3.5 | dotNetFx35setup.exe |  | + | + | + | + | +
Microsoft SQL Server 2005 Express SP3 | SQLEXPR.exe | + | + | + | + | + | +
Visual C++ 2005 Redistributable | vcredist_x86.exe | + | + | + | + | + | +